Bug 224230 - manual pages with absolute symlinks in packages
Summary: manual pages with absolute symlinks in packages
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tobias Kortkamp
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-12-10 20:32 UTC by Wolfram Schneider
Modified: 2018-10-21 20:11 UTC (History)
4 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Wolfram Schneider freebsd_committer 2017-12-10 20:32:39 UTC
An port may use symbolic links for manual pages. That's fine. However, if some of these links are absolute symlinks we are in trouble. It will not work if you move the manual pages around and use them in other places, e.g. as on https://www.freebsd.org/cgi/man.cgi

I checked the packages on pkg.freebsd.org/freebsd:12:x86:64/latest/All
and found these 4 packages with absolute symlinks for man pages:

./libdca-0.0.5_1.txz
./gnuit-4.9.5.txz
./ncbi-toolkit-2012.06.20_1.txz
./xli-1.17.0_16.txz

The absolute links needs to be replaced by relative symlinks or hard links.

in detail:

./libdca-0.0.5_1.txz:lrwxr-xr-x  0 root   wheel       0 Nov 16 01:39 /usr/local/man/man1/dtsdec.1.gz -> /usr/local/man/man1/dcadec.1.gz
./libdca-0.0.5_1.txz:lrwxr-xr-x  0 root   wheel       0 Nov 16 01:39 /usr/local/man/man1/extract_dts.1.gz -> /usr/local/man/man1/extract_dca.1.gz
./gnuit-4.9.5.txz:lrwxr-xr-x  0 root   wheel       0 Nov 17 19:21 /usr/local/man/man1/gitregrep.1.gz -> /usr/local/man/man1/gitrgrep.1.gz
./gnuit-4.9.5.txz:lrwxr-xr-x  0 root   wheel       0 Nov 17 19:21 /usr/local/man/man1/gitrfgrep.1.gz -> /usr/local/man/man1/gitrgrep.1.gz
./ncbi-toolkit-2012.06.20_1.txz:lrwxr-xr-x  0 root   wheel        0 Dec  7 02:13 /usr/local/man/man1/bl2seq.1.gz -> /usr/local/man/man1/blast.1.gz
./ncbi-toolkit-2012.06.20_1.txz:lrwxr-xr-x  0 root   wheel        0 Dec  7 02:13 /usr/local/man/man1/blastall.1.gz -> /usr/local/man/man1/blast.1.gz
./ncbi-toolkit-2012.06.20_1.txz:lrwxr-xr-x  0 root   wheel        0 Dec  7 02:13 /usr/local/man/man1/blastcl3.1.gz -> /usr/local/man/man1/blast.1.gz
./ncbi-toolkit-2012.06.20_1.txz:lrwxr-xr-x  0 root   wheel        0 Dec  7 02:13 /usr/local/man/man1/blastpgp.1.gz -> /usr/local/man/man1/blast.1.gz
./ncbi-toolkit-2012.06.20_1.txz:lrwxr-xr-x  0 root   wheel        0 Dec  7 02:13 /usr/local/man/man1/impala.1.gz -> /usr/local/man/man1/blast.1.gz
./ncbi-toolkit-2012.06.20_1.txz:lrwxr-xr-x  0 root   wheel        0 Dec  7 02:13 /usr/local/man/man1/megablast.1.gz -> /usr/local/man/man1/blast.1.gz
./ncbi-toolkit-2012.06.20_1.txz:lrwxr-xr-x  0 root   wheel        0 Dec  7 02:13 /usr/local/man/man1/rpsblast.1.gz -> /usr/local/man/man1/blast.1.gz
./ncbi-toolkit-2012.06.20_1.txz:lrwxr-xr-x  0 root   wheel        0 Dec  7 02:13 /usr/local/man/man1/seedtop.1.gz -> /usr/local/man/man1/blast.1.gz
./xli-1.17.0_16.txz:lrwxr-xr-x  0 root   wheel       0 Nov 17 03:45 /usr/local/man/man1/xview.1.gz -> /usr/local/man/man1/xli.1.gz
./xli-1.17.0_16.txz:lrwxr-xr-x  0 root   wheel       0 Nov 17 03:45 /usr/local/man/man1/xsetbg.1.gz -> /usr/local/man/man1/xli.1.gz
Comment 1 commit-hook freebsd_committer 2017-12-10 21:45:17 UTC
A commit references this bug:

Author: gerald
Date: Sun Dec 10 21:44:24 UTC 2017
New revision: 455914
URL: https://svnweb.freebsd.org/changeset/ports/455914

Log:
  Change man pages which are links (gitregrep.1.gz and gitrfgrep.1.gz)
  from absolute links to relative links.

  Bump PORTREVISION since this does affect the resulting package in a
  material manner.

  PR:		224230
  Reported by:	wosch

Changes:
  head/misc/gnuit/Makefile
  head/misc/gnuit/files/patch-doc-Makefile
Comment 2 Gerald Pfeifer freebsd_committer 2017-12-10 21:49:29 UTC
(In reply to Wolfram Schneider from comment #0)
> I checked the packages on pkg.freebsd.org/freebsd:12:x86:64/latest/All
> and found these 4 packages with absolute symlinks for man pages:

That's actually pretty good for you to have only hit four packages!

And if I did a good job, this should now be down to three? :-)
(I have also submitted this upstream.)

Thanks for the fine report, Wolfram!
Comment 3 commit-hook freebsd_committer 2018-10-11 14:33:33 UTC
A commit references this bug:

Author: tobik
Date: Thu Oct 11 14:33:19 UTC 2018
New revision: 481831
URL: https://svnweb.freebsd.org/changeset/ports/481831

Log:
  multimedia/libdca: Fix bad absolute symlinks

  PR:		224230
  Reported by:	wosch

Changes:
  head/multimedia/libdca/Makefile
  head/multimedia/libdca/files/
  head/multimedia/libdca/files/patch-src_Makefile.in
Comment 4 commit-hook freebsd_committer 2018-10-11 14:37:38 UTC
A commit references this bug:

Author: tobik
Date: Thu Oct 11 14:36:37 UTC 2018
New revision: 481832
URL: https://svnweb.freebsd.org/changeset/ports/481832

Log:
  graphics/xli: Fix bad absolute symlinks

  PR:		224230
  Reported by:	wosch

Changes:
  head/graphics/xli/Makefile
  head/graphics/xli/files/patch-Imakefile
Comment 5 Tobias Kortkamp freebsd_committer 2018-10-11 14:40:39 UTC
Should all be fixed now (ncbi-toolkit via ports r481472 from yuri@).

But maybe there is something new now?
Comment 6 Wolfram Schneider freebsd_committer 2018-10-11 15:42:47 UTC
(In reply to Tobias Kortkamp from comment #5)

I can re-run the test in a week to check if anything is fine.
Comment 7 Tobias Kortkamp freebsd_committer 2018-10-21 11:54:03 UTC
(In reply to Wolfram Schneider from comment #6)
Can I close?
Comment 8 Wolfram Schneider freebsd_committer 2018-10-21 20:11:01 UTC
I tested all packages again (72GB). The good news - all the known problems are fixed ;-)